Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class Assert

    java.lang.Object
      edu.stanford.smi.protege.util.Assert

    public class Assert

extends Object

A utility class for checking assertions. This class predates the buildin "assert" language construct. This class is now implemented in terms of the "assert" language construct. Modeled on the JUnit Assert class.

Author:
  Ray Fergerson (fergerson@smi.stanford.edu)

Constructor Summary
`Assert()`

Method Summary
`static void` | `assertEquals(double x1, double x2, double delta)`
`static void` | `assertEquals(float x1, float x2, float delta)`
`static void` | `assertEquals(int i1, int i2)`
`static void` | `assertEquals(long i1, long i2)`
`static void` | `assertEquals(Object o1, Object o2)`
`static void` | `assertEquals(String description, double x1, double x2, double delta)`
`static void` | `assertEquals(String description, float x1, float x2, float delta)`
`static void` | `assertEquals(String description, int i1, int i2)`
`static void` | `assertEquals(String description, long i1, long i2)`
`static void` | `assertEquals(String description, Object o1, Object o2)`
`static void` | `assertFalse(boolean condition)`
`static void` | `assertFalse(String description, boolean condition)`
`static void` | `assertNotNull(Object o)`
`static void` | `assertNotNull(String description, Object o)`
`static void` | `assertNull(Object o)`
`static void` | `assertNull(String description, Object o)`
`static void` | `assertSame(Object o1, Object o2)`
`static void` | `assertSame(String description, Object o1, Object o2)`
`static void` | `assertTrue(boolean condition)`
`static void` | `assertTrue(String description, boolean condition)`
`static void` | `fail(String description)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Assert

    public Assert()

Method Detail

### assertEquals

    public static void assertEquals(float x1,
                                    float x2,
                                    float delta)

### assertEquals

    public static void assertEquals(String description,
                                    float x1,
                                    float x2,
                                    float delta)

### assertEquals

    public static void assertEquals(double x1,
                                    double x2,
                                    double delta)

### assertEquals

    public static void assertEquals(String description,
                                    double x1,
                                    double x2,
                                    double delta)

### assertEquals

    public static void assertEquals(int i1,
                                    int i2)

### assertEquals

    public static void assertEquals(String description,
                                    int i1,
                                    int i2)

### assertEquals

    public static void assertEquals(long i1,
                                    long i2)

### assertEquals

    public static void assertEquals(String description,
                                    long i1,
                                    long i2)

### assertEquals

    public static void assertEquals(Object o1,
                                    Object o2)

### assertEquals

    public static void assertEquals(String description,
                                    Object o1,
                                    Object o2)

### assertSame

    public static void assertSame(Object o1,
                                  Object o2)

### assertSame

    public static void assertSame(String description,
                                  Object o1,
                                  Object o2)

### assertNotNull

    public static void assertNotNull(Object o)

### assertNotNull

    public static void assertNotNull(String description,
                                     Object o)

### assertNull

    public static void assertNull(Object o)

### assertNull

    public static void assertNull(String description,
                                  Object o)

### assertTrue

    public static void assertTrue(boolean condition)

### assertTrue

    public static void assertTrue(String description,
                                  boolean condition)

### assertFalse

    public static void assertFalse(boolean condition)

### assertFalse

    public static void assertFalse(String description,
                                   boolean condition)

### fail

    public static void fail(String description)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.